<?php
/*------------------------------------------------------------------------
# plg_recentlyhit - Recently Hit Plugin
/*------------------------------------------------------------------------
# plg_recentlyhit - Recently Hit Articles
# ------------------------------------------------------------------------
# author    Jesús Vargas Garita
# Copyright (C) 2010 www.munditico.com. All Rights Reserved.
# @license - https://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website: https://www.munditico.com
# Technical Support:  https://www.munditico.com/joomla-extensions
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die;

use Joomla\CMS\Factory;

jimport('joomla.plugin.plugin');

class plgContentRecentlyHit extends JPlugin
{
	protected $article_id;

	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	public function onContentBeforeDisplay($context, &$article, &$params, $limitstart = 1)
	{

		if ( Factory::getApplication()->input->get('view') != 'article' ) return;

		$db = Factory::getDBO();

		$date	= Factory::getDate();

		$userIP = $_SERVER['REMOTE_ADDR'];

		$query = $db->getQuery(true);
		$query->select('lasthit');
		$query->from('#__content_recentlyhit');
		$query->where('content_id='.$article->id);
		$db->setQuery($query);
		if ($db->loadResult())
		{
			$query->clear();
			$query->update('`#__content_recentlyhit`');
			$query->set('`lasthit` = '.$db->Quote($date->toSql()));
			$query->set('`lastip` = '.$db->Quote($userIP));
			$query->where('`content_id` = '.$db->Quote($article->id));
			$db->setQuery((string)$query);
			$db->execute();
		} else {
			$query->clear();
			$query->insert('#__content_recentlyhit');
			$query->set('content_id='.$article->id.', lasthit='.$db->Quote($date->toSql()).', lastip='.$db->Quote($userIP));
			$db->setQuery($query);
			$db->execute();
		}
 	}
}

